Subject: RE: Checking I-Ds for nits.

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 24 Apr 2003 22:44:10 +0200

Inline

> -----Original Message-----
> From: Marshall Rose [mailto:[email-masked]]
> Sent: woensdag 23 april 2003 23:02
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Checking I-Ds for nits.
>
>
> > Hi All,
> >
> > How do people make sure that the draft submitted to the WG
> are compliant to ID
> > nits on this page ? http://www.ietf.org/ID-nits.html
> >
> > Is there any tool available to help in doing this ??
>
> ideally, it would be nice if there was an automated service
> to do something like this (kind of like the mib-checker from
> a decade ago... is that still running?)
>
Not sure if it is still running. But if it were, would it be using
current SMI rules and current SMI documents to check against?

There is a new one at: [email-masked]

Send email with the "Subject: help" to <[email-masked]>
to get help information.

>
> alternatively, you can write your I-Ds in XML according to
> the rules in rfc 2629 and use an automated processor to
> generate the text, cf.,
> http://xml.resource.org/
>
I have used it, and I can testify that it helps a lot with being
compliant with many of the nits. Not all, but many.

Bert
> /mtr